net.minecraft.world.gen.structure

## Class MapGenMineshaft

- java.lang.Object
- - net.minecraft.world.gen.MapGenBase
  - - net.minecraft.world.gen.structure.MapGenStructure
    - - net.minecraft.world.gen.structure.MapGenMineshaft

-     public class MapGenMineshaft
      extends MapGenStructure

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.gen.structure.MapGenStructure

      `structureMap`

    - ### Fields inherited from class net.minecraft.world.gen.MapGenBase

      `rand, range, worldObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapGenMineshaft()`
    `MapGenMineshaft(java.util.Map par1Map)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `canSpawnStructureAtCoords(int par1, int par2)`
    `java.lang.String` | `func_143025_a()`
    `protected StructureStart` | `getStructureStart(int par1, int par2)`

    - ### Methods inherited from class net.minecraft.world.gen.structure.MapGenStructure

      `func_142038_b, func_143028_c, func_151538_a, func_151545_a, generateStructuresInChunk, getCoordList, hasStructureAt`

    - ### Methods inherited from class net.minecraft.world.gen.MapGenBase

      `func_151539_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapGenMineshaft

          public MapGenMineshaft()

    - #### MapGenMineshaft

          public MapGenMineshaft(java.util.Map par1Map)

  - ### Method Detail

    - #### func_143025_a

          public java.lang.String func_143025_a()

      Specified by:
        `func_143025_a` in class `MapGenStructure`

    - #### canSpawnStructureAtCoords

          protected boolean canSpawnStructureAtCoords(int par1,
                                          int par2)

      Specified by:
        `canSpawnStructureAtCoords` in class `MapGenStructure`

    - #### getStructureStart

          protected StructureStart getStructureStart(int par1,
                                         int par2)

      Specified by:
        `getStructureStart` in class `MapGenStructure`